Summary: Tools for configuring the console.
Name: console-tools
%define CTVER	0.3.3
%define	CDVER	1999.08.29
%define DATA console-data-%{CDVER}
Version: 0.3.3
Release: 1
Group: Applications/System
Packager: linuxkid <linux@peanutlinux.org>
Exclusiveos: Linux
Copyright: GPL
URL: http://www.multimania.com/ydirson/en/lct/
Source0: ftp://metalab.unc.edu/pub/Linux/system/keyboards/console-tools-%{CTVER}.tar.gz
Source1: ftp://metalab.unc.edu/pub/Linux/system/keyboards/%{DATA}.tar.gz
Source2: keytable.init
Source3: ftp://ftp.dementia.org/pub/linux/pc2sun.pl
Source4: console-tools-1998.08.11.add-ons-nosk.tar.gz
Source5: console-tools-0.3.3.sunfonts.tar.gz
Source6: kbd-1.03wip-turkish.tar.gz
Source7: kbd-ro.map.gz
Source8: kbd-sr.map.gz
Source9: ucw-fonts-1.1.1.tar.gz
Source10: kbd-0.96-latin0.tar.gz
Source11: kbd-0.96-amiga.tar.gz
Source12: sunt4-no-latin1.map.gz
Source13: lat2u-font.tar.gz
Source14: data-addon.tar.gz
Source15: console-fonts-cyr.tgz
Patch0: console-tools-1998.08.11.resizecons.patch
Patch3: console-tools-1999.08.29.sparc.patch
Patch4: console-tools-1998.08.11.kmaps.patch
Patch5: console-tools.fonts.patch
# Allow consolechars & loadkeys to run from the root partition
Patch6: console-tools-rootpart.patch
# Add /etc/sysconfig/console (without subdirs) to the search path
Patch7: console-tools-searchpath.patch
Patch8: console-tools.fonts2.patch
Patch9: console-tools.fonts3.patch
# Don't load a directory as a keymap. Duh.
Patch11: console-tools-resizecons.patch
# Euro support
Patch12: console-data-1999.08.29-redhat.patch
# Fix acm handling. Duh.
Patch13: console-tools-0.3.3.acm.patch
# fix delete key behaviour on type4/5 keyboards on sun to match intel
Patch14: console-tools-fixdel.patch
Patch15: console-tools-unicyr.patch
# Fix psfgettable on BE
Patch16: console-tools-0.3.3.psfgettable.patch

#BuildRequires: sgml-tools
Prereq: /sbin/chkconfig fileutils sed
Obsoletes: kbd
Provides: kbd
BuildRoot: /var/tmp/%{name}-root

%description
The console-tools package contains tools for managing a Linux 
system's console's behavior, including the keyboard, the screen 
fonts, the virtual terminals and font files.

%prep

%ifarch m68k
%setup -q -n console-tools-%{CTVER} -a 4 -a 6 -a 9 -a 10 -a 11 -a 13 -a 14 -a 15
%else
%setup -q -n console-tools-%{CTVER} -a 4 -a 6 -a 9 -a 10 -a 13 -a 14 -a 15
%endif
mv -f data %{DATA}
mv -f consolefonts/* %{DATA}/consolefonts
mv -f console-fonts-cyr/consolefonts/* %{DATA}/consolefonts
mv -f console-fonts-cyr/consoletrans/* %{DATA}/consoletrans
tar xzf %{SOURCE1}
mv -f %{DATA} data
tar xzf %{SOURCE5}
mv -f data %{DATA}

%ifarch sparc sparc64
%patch3 -p1
%endif

cd %{DATA}
%patch5 -p1
#%patch8 -p1
#%patch9 -p1
%patch12 -p1 -b .euro
cd ..
%patch6 -p1 -b .rootpart
%patch7 -p1 -b .searchpath
%patch11 -p1 -b .resizecons
%patch13 -p1 -b .acmpatch
%patch14 -p1 -b .fixdel
%patch15 -p1 -b .unicyr
%patch16 -p1 -b .psfgettable

%build
%ifarch i386
DISABLE_RESIZECONS=
%else
DISABLE_RESIZECONS=--disable-resizecons
%endif

cd %{DATA}
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -static" LDFLAGS="-static" ./configure --prefix=/usr \
  --datadir='${prefix}/lib/kbd' --enable-localdatadir=/etc/sysconfig/console \
  $DISABLE_RESIZECONS
cd ..
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -static" LDFLAGS="-static" ./configure --prefix=/usr \
  --datadir='${prefix}/lib/kbd' --enable-localdatadir=/etc/sysconfig/console \
  $DISABLE_RESIZECONS
cd %{DATA}
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" LDFLAGS=-s prefix=/usr
cd ..
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" LDFLAGS=-s prefix=/usr

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

# Don't ship zero-length documentation
find doc %{DATA}/doc -size 0b | xargs rm -f

cd %{DATA}
make install prefix=$RPM_BUILD_ROOT/usr
cd ..
make install prefix=$RPM_BUILD_ROOT/usr

# XXX hotwire some fonts on sun
%ifarch sparc sparc64
XXXFONTS="
    RUSCII_8x14.psf.gz RUSCII_8x16.psf.gz RUSCII_8x8.psf.gz
    koi8u-8x14.psf.gz koi8u-8x16.psf.gz koi8u-8x8.psf.gz
    lat2u-16.psf.gz lat5-12.psf.gz lat5-14.psf.gz lat5-16.psf.gz 
    ucw08.psf.gz  ucw11m.psf.gz ucw11z.psf.gz ucw16.psf.gz
"
make -C %{DATA}/consolefonts $XXXFONTS
for F in $XXXFONTS
do
  install -c -m 0644 %{DATA}/consolefonts/$F $RPM_BUILD_ROOT/usr/lib/kbd/consolefonts/$F
done
%endif

file $RPM_BUILD_ROOT/usr/bin/* | grep ELF | cut -f 1 -d ':' | xargs strip

# don't give loadkeys SUID perms
chmod 755 $RPM_BUILD_ROOT/usr/bin/loadkeys

# other keymaps
for map in ro sr ; do
   install -m 644 $RPM_SOURCE_DIR/kbd-$map.map.gz \
      $RPM_BUILD_ROOT/usr/lib/kbd/keymaps/i386/qwerty/$map.kmap.gz
done

install -m 644 $RPM_SOURCE_DIR/sunt4-no-latin1.map.gz \
	$RPM_BUILD_ROOT/usr/lib/kbd/keymaps/sun/sunt4-no-latin1.map.gz

install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc{0,3}.d

install -m 755 $RPM_SOURCE_DIR/keytable.init $RPM_BUILD_ROOT/etc/init.d/rc.keytable
ln -sf ../../init.d/rc.keytable $RPM_BUILD_ROOT/etc/rc.d/rc0.d/Kkeytable.sh
ln -sf ../../init.d/rc.keytable $RPM_BUILD_ROOT/etc/rc.d/rc3.d/Skeytable.sh

mkdir -p $RPM_BUILD_ROOT/bin
for foo in loadkeys consolechars ; do
  mv $RPM_BUILD_ROOT/usr/bin/$foo $RPM_BUILD_ROOT/bin
  ln -s /bin/$foo $RPM_BUILD_ROOT/usr/bin/$foo
done

%ifarch sparc
install -c -m 755 $RPM_SOURCE_DIR/pc2sun.pl $RPM_BUILD_ROOT/usr/lib/kbd/keytables
%endif

%ifnarch i386
rm -f $RPM_BUILD_ROOT/usr/man/man8/resizecons.8
%endif

chmod +x $RPM_BUILD_ROOT/usr/lib/*.so*
strip --strip-unneeded -R .comments $RPM_BUILD_ROOT/usr/lib/*.so*

ln -sf lat0-sun16.psf.gz $RPM_BUILD_ROOT/usr/lib/kbd/consolefonts/lat1-sun16.psf.gz
ln -sf lat0-sun16.psf.gz $RPM_BUILD_ROOT/usr/lib/kbd/consolefonts/lat5-sun16.psf.gz
gzip -9 < %{DATA}/consolefonts/cyr-sun16.psf > $RPM_BUILD_ROOT/usr/lib/kbd/consolefonts/cyr-sun16.psf.gz

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS RELEASE BUGS TODO
%doc doc/[cdf]* %{DATA}/doc/[cdf]* %{DATA}/doc/keymaps
%doc doc/README* %{DATA}/doc/README* doc/*.txt
/etc
/bin
/usr/bin
/usr/include
/usr/man
/usr/share
/usr/lib
